public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Manuel Rüger" <mrueg@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/promu/
Date: Sun, 24 Sep 2017 18:54:28 +0000 (UTC)	[thread overview]
Message-ID: <1506279249.160cd5c39703ce83d38d751d994d6abe1bef4949.mrueg@gentoo> (raw)

commit:     160cd5c39703ce83d38d751d994d6abe1bef4949
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 24 18:53:16 2017 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Sun Sep 24 18:54:09 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=160cd5c3

dev-util/promu: Version bump to 0.1.0

Package-Manager: Portage-2.3.10, Repoman-2.3.2

 dev-util/promu/Manifest           |  1 +
 dev-util/promu/promu-0.1.0.ebuild | 28 ++++++++++++++++++++++++++++
 2 files changed, 29 insertions(+)

diff --git a/dev-util/promu/Manifest b/dev-util/promu/Manifest
index 30ac5d833c6..0f76eed18bc 100644
--- a/dev-util/promu/Manifest
+++ b/dev-util/promu/Manifest
@@ -1 +1,2 @@
+DIST promu-0.1.0.tar.gz 1065003 SHA256 043c4149bc85e4d51a93390cdb4fee6871d93123ced5c2d3d4f78a2265167bbc SHA512 18ad54b1ec9fe8975a0048b5c85609858cd500a2d3aa34e51e5c2c3d07a0df4337bac9648562e2007d5c8572e07c814c6bba7522b94836c258cde457df5815e2 WHIRLPOOL 3717496ee2296bfa27baf47d601f3bb5eaa4e4e27c3ebd7fd71979ae9e29d833f04065a16add9b2410fb4cff040d98a51e9d628ba316ab8cb488eda2ef4f7b15
 DIST promu-0.1.0_p20170607.tar.gz 399675 SHA256 e2995015d66c25e431284e24623a3ecb5813fdaf45cd31231d1ba5a9a500e1a0 SHA512 38c5230b8a301675b55ea80c2ab461be51d560d96511c8ce4ac101434e484dca0a90ccacb06b3bb9057d151fac407adc443833032ddd226416a1fd5af788edaf WHIRLPOOL d2779d629d1b04ca9ccc78711a591a19ef1beede1ac6708e45f3a0d0fd2bcf309858d7aaeba739c6ce17cf12bd5edc6612a123dee2a41d4796685c0b188e599d

diff --git a/dev-util/promu/promu-0.1.0.ebuild b/dev-util/promu/promu-0.1.0.ebuild
new file mode 100644
index 00000000000..6cefcabc0a9
--- /dev/null
+++ b/dev-util/promu/promu-0.1.0.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit golang-build golang-vcs-snapshot
+
+EGO_PN="github.com/prometheus/promu"
+EGIT_COMMIT="5e82f2f"
+SRC_URI="https://${EGO_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+KEYWORDS="~amd64"
+
+DESCRIPTION="Prometheus Utility Tool"
+HOMEPAGE="https://github.com/prometheus/promu"
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE=""
+
+src_compile() {
+	LDFLAGS="-X github.com/prometheus/vendor/github.com/prometheus/common/version.Version=$(cat src/${EGO_PN}/VERSION)
+	-X github.com/prometheus/vendor/github.com/prometheus/common/version.Revision=${EGIT_COMMIT}
+	-extldflags \"-static\""
+	GOPATH="${S}" go build -ldflags "${LDFLAGS}" -o bin/promu src/${EGO_PN}/main.go || die
+}
+
+src_install() {
+	dobin bin/*
+	dodoc -r src/${EGO_PN}/{doc,{README,CONTRIBUTING}.md}
+}


             reply	other threads:[~2017-09-24 18:54 UTC|newest]

Thread overview: 47+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-09-24 18:54 Manuel Rüger [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-19 13:11 [gentoo-commits] repo/gentoo:master commit in: dev-util/promu/ Arthur Zamarin
2025-01-19 13:11 Arthur Zamarin
2024-10-24 19:28 Zac Medico
2024-06-15 19:21 Arthur Zamarin
2024-02-23 12:54 Joonas Niilola
2024-01-07  6:14 Sam James
2023-11-25  0:59 Zac Medico
2023-11-17 12:13 Sam James
2023-10-02  3:36 Zac Medico
2023-04-30 23:53 Sam James
2023-01-06  7:16 WANG Xuerui
2023-01-06  7:16 WANG Xuerui
2022-06-29  7:21 WANG Xuerui
2022-05-15 23:14 Zac Medico
2022-05-15 23:14 Zac Medico
2022-03-14 15:15 William Hubbs
2021-11-07  3:04 Zac Medico
2021-03-26  2:20 Zac Medico
2021-03-26  2:19 Zac Medico
2021-01-11 23:05 William Hubbs
2020-11-13  8:15 Robin H. Johnson
2020-10-24 22:45 Zac Medico
2020-07-25  0:09 Sam James
2020-06-14 20:46 William Hubbs
2019-12-10  7:27 Zac Medico
2019-12-10  7:18 Zac Medico
2019-12-10  7:14 Zac Medico
2019-11-23 10:58 Manuel Rüger
2019-10-07  9:45 Manuel Rüger
2019-10-07  9:45 Manuel Rüger
2019-07-09 12:52 Manuel Rüger
2019-06-26  8:03 Manuel Rüger
2019-06-25 15:58 Manuel Rüger
2019-04-16  9:15 Manuel Rüger
2019-03-02 17:39 Manuel Rüger
2019-03-02 17:32 Manuel Rüger
2019-03-02 17:32 Manuel Rüger
2019-01-15 14:44 Manuel Rüger
2018-03-08 18:45 Manuel Rüger
2018-01-25 18:51 Manuel Rüger
2017-10-04  9:09 Michał Górny
2017-09-24 18:54 Manuel Rüger
2017-06-12 11:26 Manuel Rüger
2017-06-12 11:25 Manuel Rüger
2017-02-07 16:03 Manuel Rüger
2016-12-13 19:27 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1506279249.160cd5c39703ce83d38d751d994d6abe1bef4949.mrueg@gentoo \
    --to=mrueg@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox